<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Alternatif;
use App\Models\Kriteria;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
     public function index()
    {
        if (auth()->user()->role === 'admin') {
            return redirect()->route('admin.home');
        } else {
            return redirect()->route('user.home');
        }
    }
     public function adminHome()
    {
        
            // Untuk admin, hitung jumlah data
            $alternatifs = Alternatif::count();
            $kriteria = Kriteria::count();
            return view('admin.home', compact('alternatifs', 'kriteria'));
        } 
    public function userHome()
    {

            // Untuk user, bisa kirim list data
            $alternatifs = Alternatif::count();
            $kriteria = Kriteria::count();
            return view('user.home',compact('alternatifs', 'kriteria'));
    }
        }
    
